mr-ZA
@mr-ZA

Установка пакетов в Linux Mint, есть вопрос?

Всем привет, подскажите как отменить комманду по установке .deb пакета в системе, пытался поставить так:

sudo dpkg -i respin-mint_1.1.0-1_all.deb

Selecting previously unselected package respin-mint.
(Reading database ... 257563 files and directories currently installed.)
Preparing to unpack respin-mint_1.1.0-1_all.deb ...
Unpacking respin-mint (1.1.0-1) ...
dpkg: dependency problems prevent configuration of respin-mint:
respin-mint depends on ubiquity-frontend-debconf; however:
Package ubiquity-frontend-debconf is not installed.
respin-mint depends on discover1 | discover; however:
Package discover1 is not installed.
Package discover is not installed.
respin-mint depends on xresprobe; however:
Package xresprobe is not installed.

dpkg: error processing package respin-mint (--install):
dependency problems - leaving unconfigured
Processing triggers for desktop-file-utils (0.23+linuxmint5) ...
Processing triggers for gnome-menus (3.13.3-11ubuntu1.1) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Processing triggers for man-db (2.8.3-2ubuntu0.1) ...
Errors were encountered while processing:
respin-mint

Потом понял что мне это ненужно но при apt-get install другого пакета вылазит следующее:

Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt —fix-broken install' to correct these.
The following packages have unmet dependencies:
respin-mint : Depends: ubiquity-frontend-debconf but it is not going to be installed
Depends: discover1 but it is not installable or
discover but it is not going to be installed
Depends: xresprobe but it is not installable
wordnet : Depends: wordnet-base (= 1:3.0-35) but it is not going to be installed
E: Unmet dependencies. Try 'apt —fix-broken install' with no packages (or specify a solution).

Как вообще отменить изменения, чтобы apt-get отменил работу с этим пакетом и не напоминал про битые зависимости? При sudo apt-get -f install он начинает установку зависимостей, а они мне не нужны как и этот .deb
  • Вопрос задан
  • 88 просмотров
Пригласить эксперта
Ответы на вопрос 1
sotvm
@sotvm
Умный поймёт , а дураку и так всё равно.
написано же
You might want to run 'apt —fix-broken install' to correct these.
выполни sudo apt —fix-broken install
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы